Station Davis avec logiciels Linux(Lu 6555 fois)

Station Davis avec logiciels Linux le: 30/12/2013 à 17:06:31
Bonjour à tous
Je reprends un projet vieux de qq mois : gérer ma station Vantage Pro avec un logiciel Linux
J'en ai trouvé 2 : Wview et weewx
pour Wview il y a un pb de libgd, une erreur à chaque essai
et pour Weewx je suis à la recherche d'un tuto. car très bien documenté mais in english ...
Il m'avait semblé en avoir vu un sur le site .
Merci de votre aide.



Re : Station Davis avec logiciels Linux Réponse #1 le: 31/12/2013 à 09:32:12
Bonjour,

Ayant eu une station Lacross WS-2350 sous MAC et Linux, et maintenant une VP2 sous MAC (actuellement sous Mavericks 10.9.1), j'utilise wview depuis plusieurs années. Pour avoir modifié le code et la base de données sqlite3 pour mes besoins, ce logiciel n'a presque plus de secrets pour moi (pour les stations WS2350 et VP2).

Le logiciel wview permet de faire quasiment tout ce que l'on veut, mais il ne faut pas être un débutant dans l'utilisation de logiciels sous Linux (il y a toujours une petite configuration manuelle à faire dans un fichier).

Bref, concernant votre problème de librairie libgd, si, comme moi (allez voir sur mon site), vous n'utilisez pas les graphiques de wview (ils ne sont pas beaux), cela ne vous bloquera pas. Le problème n'existait pas sous Lion Mountain. J'ai commencé à regarder. La librairie est bien installée, mais le test dans le configure ne fonctionne plus.

De plus, toujours sous MAC 10.9.1, pendant la compilation, j'ai des warnings que je n'avais pas avant. J'ai aussi commencé à le traiter, mais je n'ai pas eu le temps de finir, car météo-france a changé le site de vigilance météo, et mon aspirateur ne fonctionne plus.

Pour finir, il existe des tutos sur l'installation de wview (par exemple, sous raspberry pi). En cherchant un peu avec votre ami Google, vous devriez en trouver.

Restant à votre disposition.




Re : Station Davis avec logiciels Linux Réponse #2 le: 01/01/2014 à 17:29:32
Bonjour,

Depuis mon précédent poste, j'ai bien avancé.

Mon aspirateur de site fonctionne de nouveau. Au passage, je n'ai jamais vu un code HTML et javascript avec autant d'erreurs de codage qui fonctionne.

Pour l'erreur sur la librairie libgd sous Mavericks, si la librairie est correctement installée (c'était mon cas), il faut tout simplement paramétrer la variable d'environnement LDFLAGS. Une solution, c'est de l'ajouter aux options du linker:

./configure --prefix=$prefix CFLAGS=$includedir LDFLAGS=$libdir

Reste à corriger les warnings sur lequel j'ai bien avancé, mais c'est de la modification de code qui n'a aucun impact sur le résultat final. Je préfère tout de même avoir un code 'propre'.

Restant à votre disposition pour des infos complémentaires.




 

x

Recevez les articles par mail

emailVous êtes passionné de station météo, restons en contact ...
www.station-meteo.com: le site de référence des stations météo